import { tap, expect } from '@pushrocks/tapbundle';
import * as smartsystem from '../ts/index';
import { systeminformation } from '../ts/smartsystem.plugins';

let smartsystemInstance: smartsystem.Smartsystem;

tap.test('should create a smartsystem instance', async (tools) => {
  smartsystemInstance = new smartsystem.Smartsystem();
  expect(smartsystemInstance).to.be.instanceOf(smartsystem.Smartsystem);
});

tap.test('should state the operating system', async () => {
  expect(smartsystemInstance.cpus.length).to.be.greaterThan(0);
});

tap.test('should get systeminformation', async () => {
  console.log(await smartsystemInstance.information.networkInterfaceDefault());
});

tap.start();
